diff -Naur ./pwm-20070720/Makefile pwm-20070720-fixed/Makefile
--- ./pwm-20070720/Makefile	2007-07-20 16:16:40.000000000 +0200
+++ pwm-20070720-fixed/Makefile	2008-09-16 19:30:32.149219983 +0200
@@ -3,17 +3,16 @@
 ##
 
 # System-specific configuration is in system.mk
-include system-inc.mk
+include system.mk
 
 ######################################
 
 SUBDIRS=libtu
 LIBS += -L./libtu -ltu -lm $(X11_LIBS) -lX11
 INCLUDES += -I./libtu/include $(X11_INCLUDES)
-DEFINES += -DETCDIR=\"$(ETCDIR)\"
+DEFINES += -DPREFIX=\"$(PREFIX)\"
 CFLAGS += $(XOPEN_SOURCE)
 TO_REALCLEAN += pwm.1x
-TO_CLEAN += $(OBJS)
 
 OBJS=	main.o draw.o font.o frame.o event.o clientwin.o thing.o \
 	property.o pointer.o key.o moveres.o cursor.o function.o \
@@ -21,6 +20,11 @@
 	readconfig.o menudata.o dock.o frameid.o placement.o \
 	binding.o winlist.o mwmhints.o signal.o winprops.o
 
+BINDIR=$(PREFIX)/bin
+ETCDIR=/etc
+MANDIR=$(PREFIX)/share/man/man1
+DOCDIR=$(PREFIX)/share/doc
+
 TARGETS=pwm
 
 ######################################
@@ -36,20 +40,20 @@
 	sed 's#PREFIX#$(PREFIX)#g' pwm.1x.in > pwm.1x
 
 _install:
-	$(INSTALLDIR) $(BINDIR)
+	$(INSTALL) -d $(BINDIR)
 	$(INSTALL) -m $(BIN_MODE) pwm $(BINDIR)
 	$(STRIP) $(BINDIR)/pwm
 
-	$(INSTALLDIR) $(MANDIR)/man1
-	$(INSTALL) -m $(DATA_MODE) pwm.1x $(MANDIR)/man1
+	$(INSTALL) -d $(MANDIR)
+	$(INSTALL) -m $(DATA_MODE) pwm.1x $(MANDIR)
 
-	$(INSTALLDIR) $(DOCDIR)
-	$(INSTALLDIR) $(DOCDIR)/pwm
+	$(INSTALL) -d $(DOCDIR)
+	$(INSTALL) -d $(DOCDIR)/pwm
 	$(INSTALL) -m $(DATA_MODE) config.txt $(DOCDIR)/pwm
 	$(INSTALL) -m $(DATA_MODE) LICENSE $(DOCDIR)/pwm
 
-	$(INSTALLDIR) $(ETCDIR)
-	$(INSTALLDIR) $(ETCDIR)/pwm
+	$(INSTALL) -d $(ETCDIR)
+	$(INSTALL) -d $(ETCDIR)/pwm
 	for i in etc/pwm/*.conf; do \
 		$(INSTALL) -m $(DATA_MODE) $$i $(ETCDIR)/pwm; \
 	done
diff -Naur ./pwm-20070720/system.mk pwm-20070720-fixed/system.mk
--- ./pwm-20070720/system.mk	2006-05-17 08:50:33.000000000 +0200
+++ pwm-20070720-fixed/system.mk	2008-09-16 19:30:32.159210367 +0200
@@ -7,13 +7,13 @@
 ## Installation paths
 ##
 
-PREFIX=/usr/local
+PREFIX=/usr
 
 # No need to modify these usually
 BINDIR=$(PREFIX)/bin
-ETCDIR=$(PREFIX)/etc
-MANDIR=$(PREFIX)/man
-DOCDIR=$(PREFIX)/doc
+ETCDIR=/etc
+MANDIR=$(PREFIX)/share/man
+DOCDIR=$(PREFIX)/share/doc
 # Not used
 INCDIR=$(PREFIX)/include
 LIBDIR=$(PREFIX)/lib
